Convertible.PrivateTests
Date: 2015-09-10

org.atinject.tck.auto

## Class Convertible.PrivateTests

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.atinject.tck.auto.Convertible.PrivateTests

- All Implemented Interfaces:
    junit.framework.Test
  Enclosing class:
    Convertible

      public static class Convertible.PrivateTests
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Convertible.PrivateTests()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testPackagePrivateMethodInjectedSamePackage()`
    `void` | `testPrivateMethodInjectedEvenWhenSimilarMethodLacksAnnotation()`
    `void` | `testSimilarPrivateMethodInjectedOnlyOnce()`
    `void` | `testSupertypePrivateMethodInjected()`

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Convertible.PrivateTests

          public Convertible.PrivateTests()

  - ### Method Detail

    - #### testSupertypePrivateMethodInjected

          public void testSupertypePrivateMethodInjected()

    - #### testPackagePrivateMethodInjectedSamePackage

          public void testPackagePrivateMethodInjectedSamePackage()

    - #### testPrivateMethodInjectedEvenWhenSimilarMethodLacksAnnotation

          public void testPrivateMethodInjectedEvenWhenSimilarMethodLacksAnnotation()

    - #### testSimilarPrivateMethodInjectedOnlyOnce

          public void testSimilarPrivateMethodInjectedOnlyOnce()